"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getUrl = void 0;

var _socketIo = require("./socket-io");

const getUrl = async (url, optionsRef) => {
  let convertedUrl;

  if (typeof url === 'function') {
    convertedUrl = await url();
  } else {
    convertedUrl = url;
  }

  const parsedUrl = optionsRef.current.fromSocketIO ? (0, _socketIo.parseSocketIOUrl)(convertedUrl) : convertedUrl;
  const parsedWithQueryParams = optionsRef.current.queryParams ? (0, _socketIo.appendQueryParams)(parsedUrl, optionsRef.current.queryParams, optionsRef.current.fromSocketIO) : parsedUrl;
  return parsedWithQueryParams;
};

exports.getUrl = getUrl;
//# sourceMappingURL=get-url.js.map