"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removeAllSubscribers = exports.removeSubscriber = exports.addSubscriber = exports.hasSubscribers = exports.getSubscribers = void 0;
const subscribers = {};

const getSubscribers = url => {
  return Array.from(subscribers[url]);
};

exports.getSubscribers = getSubscribers;

const hasSubscribers = url => {
  return subscribers[url].size > 0;
};

exports.hasSubscribers = hasSubscribers;

const addSubscriber = (url, subscriber) => {
  subscribers[url] = subscribers[url] || new Set();
  subscribers[url].add(subscriber);
};

exports.addSubscriber = addSubscriber;

const removeSubscriber = (url, subscriber) => {
  subscribers[url].delete(subscriber);
};

exports.removeSubscriber = removeSubscriber;

const removeAllSubscribers = url => {
  subscribers[url].clear;
};

exports.removeAllSubscribers = removeAllSubscribers;
//# sourceMappingURL=manage-subscribers.js.map