import { SOCKET_IO_PING_INTERVAL, SOCKET_IO_PATH, SOCKET_IO_PING_CODE } from './constants';
export const parseSocketIOUrl = url => {
  if (url) {
    const isSecure = /^https|wss/.test(url);
    const strippedProtocol = url.replace(/^(https?|wss?)(:\/\/)?/, '');
    const removedFinalBackSlack = strippedProtocol.replace(/\/$/, '');
    const protocol = isSecure ? 'wss' : 'ws';
    return `${protocol}://${removedFinalBackSlack}${SOCKET_IO_PATH}`;
  }

  return url;
};
export const appendQueryParams = function (url) {
  let params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  let alreadyHasParams = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
  const stringified = `${Object.entries(params).reduce((next, _ref) => {
    let [key, value] = _ref;
    return next + `${key}=${value}&`;
  }, '').slice(0, -1)}`;
  return `${url}${alreadyHasParams ? '&' : '?'}${stringified}`;
};
export const setUpSocketIOPing = socketInstance => {
  const ping = () => socketInstance.send(SOCKET_IO_PING_CODE);

  return setInterval(ping, SOCKET_IO_PING_INTERVAL);
};
//# sourceMappingURL=socket-io.js.map